Summary:        An On Screen Input Pad for SCIM
Name:           scim-input-pad
Version:        0.1.0
Release:        2%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://www.scim-im.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Source0:        %{name}-%{version}.tar.gz
Patch1:         scim-input-pad-0.1.0-casts.patch

BuildRequires:  scim-devel, gtk2-devel

%description
SCIM is a developing platform to significant reduce the difficulty of 
input method development. 


%prep
%setup -q
%patch1 -p1 -b .orig


%build
%configure --disable-static

make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

#rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/Helper/input-pad.{a,la}
#rm -f $RPM_BUILD_ROOT/%{_libdir}/libscim-input-pad.{a,la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/scim-input-pad
%{_libdir}/libscim-input-pad.so.*
%{_datadir}/locale/*/LC_MESSAGES/scim-input-pad.mo
%{_libdir}/scim-1.0/Helper/input-pad.so
%{_datadir}/scim/icons/input-pad.png
%{_datadir}/scim/input-pad/base.pad
%{_datadir}/scim/input-pad/japanese.pad
%{_datadir}/scim/input-pad/chinese.pad
%{_datadir}/scim/input-pad/keyboard.pad

%changelog
* Tue Jun 21 2005 Jens Petersen <petersen@redhat.com> - 0.1.0
- add scim-input-pad-0.1.0-casts.patch from cvs to fix build on gcc4
- rebuild against scim-1.3.1

* Sat Mar 5 2005 James Su <suzhe@tsinghua.org.cn>
- first release of scim-input-pad.
